Bug 812701 - RFE: Inject pre-reqs into <procedure> rather than <section>
RFE: Inject pre-reqs into <procedure> rather than <section>
Status: CLOSED WONTFIX
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-15 22:26 EDT by Joshua Wulf
Modified: 2014-10-19 19:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-28 22:15:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-04-15 22:26:33 EDT
Ideally Task prerequisites should be injected into the task before the first step, rather than at the top of the topic.

For example - instead of this (current output):

-----------begin current output of topic 7677-------------------

Prerequisites:

    Chapter 3, Install the Content Spec Processor Client
    Chapter 4, Configure the Content Spec Processor Client 

If you are reading a published version of this guide, you may not be reading the very latest content. You can get the very latest build of this Guide by installing and configuring the Content Spec Processor client, and then building this guide from its content specification with all the latest topic content.

Procedure 1.1. Obtain the latest copy of this book

  1.  Install and configure the Content Spec Processor client.
  2.  Check out the Content Spec for this book with the command:

    csprocessor checkout 7210

  3.  Change into the newly created project directory for this book.
  4.  Build and open in a browser:

    csprocessor preview

-----------being current output of topic 7677-------------------

What makes more sense is this:

-----------begin current output of topic 7677-------------------

If you are reading a published version of this guide, you may not be reading the very latest content. You can get the very latest build of this Guide by installing and configuring the Content Spec Processor client, and then building this guide from its content specification with all the latest topic content.

Procedure 1.1. Obtain the latest copy of this book

  Prerequisites:

    Chapter 3, Install the Content Spec Processor Client
    Chapter 4, Configure the Content Spec Processor Client 

  1.  Install and configure the Content Spec Processor client.
  2.  Check out the Content Spec for this book with the command:

    csprocessor checkout 7210

  3.  Change into the newly created project directory for this book.
  4.  Build and open in a browser:

    csprocessor preview

-----------being current output of topic 7677-------------------

So prerequisites would inject into procedure, after the <title> (if one is present):

<procedure>
 <title>Some title</title>
 
 [inject Pre-reqs here]

 <step>
  ....
</procedure>

The procedure <title> is optional, so it may not be present.
Comment 1 Misty Stanley-Jones 2013-05-28 22:15:57 EDT
This is up for debate and not actually a CCMS issue. I actually don't think this should be the default behavior. Let's discuss it and reopen this if necessary.

Note You need to log in before you can comment on or make changes to this bug.